<?php
/********************************************************/
/* NSN Your Account                                     */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.fr                            */
/* Original Script www.nukescripst.net                  */
/* Copyright © 2000-2005 by NukeScripts Network         */
/* ==================================================== */
/* Based from:                                          */
/* PHP-NUKE: Web Portal System                          */
/********************************************************/
defined('IN_YA') OR die ('Access denied edithome MAXIMUS directly...');
defined('MAXIMUS') OR header("Location: index.php");

    getusrinfo($user);

    if (($userinfo['username'] == $cookie[1]) AND ($userinfo['user_password'] == $cookie[2])) {
        incoh();
        title(_HOMECONFIG);
        Max_OpenTable();
        nav();
        Max_CloseTable();
        br('1');
        if($userinfo['theme']=="") { $userinfo['theme'] = "$Default_Theme"; }
        Max_OpenTable();
        echo "<form action=\"modules.php?name=$module_name\" method=\"post\">";
        if ($user_news == 1) {
            echo "<b>"._NEWSINHOME."</b> "._MAX127." ";
            echo "<input type=\"text\" name=\"storynum\" size=\"4\" maxlength=\"3\" value=\"$userinfo[storynum]\">";
            br('2');
        } else {
            echo "<input type=\"hidden\" name=\"storynum\" value=\"$storyhome\">";
        }
        if ($userinfo['ublockon']==1) { $sel = "checked"; }
        if ($broadcast_msg == 1) {
            if ($userinfo['broadcast'] == 1) {
                $sel1 = "checked";
                $sel2 = "";
            } elseif ($userinfo['broadcast'] == 0) {
                $sel1 = "";
                $sel2 = "checked";
            }
            echo "<b>"._MESSAGEACTIVATE."</b> <input type=\"radio\" name=\"broadcast\" value=\"1\" $sel1> "._YES." &nbsp;&nbsp;<input type=\"radio\" name=\"broadcast\" value=\"0\" $sel2>"._NO."<br /><br />";
        } else {
            echo "<input type=\"hidden\" name=\"broadcast\" value=\"1\">";
        }
        echo "<input type=\"checkbox\" name=\"ublockon\" $sel>";
        echo " <b>"._ACTIVATEPERSONAL."</b>";
        echo "<br />"._CHECKTHISOPTION."";
        echo "<br />"._YOUCANUSEHTML."<br />";
        echo "<textarea cols=\"55\" rows=\"5\" name=\"ublock\">$userinfo[ublock]</textarea>";
        br('2');
        echo "<input type=\"hidden\" name=\"username\" value=\"$userinfo[username]\">";
        echo "<input type=\"hidden\" name=\"user_id\" value=\"$userinfo[user_id]\">";
        echo "<input type=\"hidden\" name=\"op\" value=\"savehome\">";
        echo "<input type=\"submit\" value=\""._SAVECHANGES."\">";
        echo "</form>";
        Max_CloseTable();
        incof();
    } else {
        mmain($user);
    }